std::execution::upon_stopped(3)

NAME
std::execution::upon_stopped - std::execution::upon_stopped

Synopsis
   Defined in header <execution>
   execution::sender auto upon_stopped(
       execution::sender auto input, (since C++26)
       std::invocable auto function
   );

Parameters
   input - sender which once gets "stop token", will notify the new node to execute
              the function
   function - invocable to be called in case a "stopped" signal is sent to the input
              sender

Return value
   Returns a sender describing the task graph described by the input sender, with an
   added node of invoking the provided function in case the "stopped" signal is sent to
   the input sender.